namespace ShoopNCook.Views;
using Microsoft.Maui.Graphics;

// Classe représentant un bouton avec une tête (une image en préfixe)
public partial class HeadedButton : ContentView
{
    // Texte du bouton
    public string Text
    {
        set => BtnLabel.Text = value;
    }

    // Couleur de l'image en préfixe
    public string HeadColor
    {
        set => PrefixBorder.BackgroundColor = Color.FromArgb(value);
    }

    // Source de l'image en préfixe
    public string HeadSource
    {
        set => PrefixImage.Source = ImageSource.FromFile(value);
    }

    public HeadedButton()
    {
        InitializeComponent();
    }
}
